<?php
namespace Claromentis\News\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_4fabdea" . "e28e3ef4" . "591a36a2" . "8a346dc5" . "5" => base64_decode("YWRtaW4ubGF" . "icy5hYnNvbH" . "V0ZV91cmwub" . "mV3cw=="), "_559824e0ac2e0" . "f7e96c810473f7" . "8f5fe" => base64_decode("L25ld3M" . "v"));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractNewsAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4fabdeae28e3ef4591a3" . "6a28a346dc55"]);
    }
    
    
    
    
    public function getLink($id) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_559824e0ac2e0f7e96c810473f78" . "f5fe"] . $id;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}